pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Problem with gem1.8

On 5.11.2010, at 12:53, OBATA Akio wrote:

> On Fri, 05 Nov 2010 19:39:32 +0900, Filip Hajny <> 
> wrote:
>>> CONFIGURE_ARGS+=--enable-wide-getaddrinfo
>>> is in pkgsrc for SunOS.
>> Thanks. Removing this option on my SunOS systems fixes the problem for me. I 
>> couldn't find any conclusive documentation on this option, but it seems it 
>> has to do with IPv6. Our systems (Solaris Nevada) can do IPv6, but we do not 
>> use it (and do not have any IPv6 plumbed on interfaces).
> I feel it is the knob for using getaddrinfo(3) from WIDE project instead of 
> system one.
> It may be required for old Solaris.

Yes, just found it in doc/ChangeLog-1.8.0

        * ext/socket/extconf.rb: add a new configure option to force use
          of the WIDE Project's getaddrinfo(): --enbale-wide-getaddrinfo.

It has been used by pkgsrc since a long time ago though, so not sure why it has 
become a problem for me just now.


Home | Main Index | Thread Index | Old Index